## npm 5.8.0+ds

=== debian/changelog ===
npm (5.8.0+ds-2) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Fri, 17 Aug 2018 16:23:18 +0530

npm (5.8.0+ds-1) experimental; urgency=medium

  [ Diane Trout ]
  * New upstream release (Closes: #870460, #863963, #794890, #857986)

  [ Jérémy Lal ]
  * Switch to dh
  * Section javascript
  * Priority optional
  * Drop Jonas from uploaders because of the move to dh
  * Update Homepage url
  * Update Vcs-Browser url
  * Fix make clean
  * Override make targets
  * Temp workaround for failure with prefix/npmrc
  * Build-Depends node-tacks, node-tap for running tests
  * Build-Depends node-require-inject for tests
  * Drop ruby-ronn from build-dependencies
  * Actually call make clean
  * NPMOPTS not needed because it does not have to install modules
  * Exclude request entirely
  * Exclude node-gyp entirely
  * Fix install and noop for auto_install
  * Use repacksuffix
  * make clean can fail
  * Disable tests for now
  * Fix syntax error in watch
  * repacksuffix makes uversionmangle useless
  * Add comment for tests
  * Ignore case to remove extra license files
  * watch file syntax again
  * npm need a recent node-tar
  * Call /usr/bin/node-gyp instead of second-guess where it is

  [ Pirate Praveen ]
  * add node-fs-vacuum as dependency
  * remove all .npmignore files
  * drop unique-filename, already in the archive
  * add node-unique-filename as a dependency
  * add lintian overrides
  * Reorganize doc-base structure

 -- Pirate Praveen <praveen@debian.org>  Wed, 18 Jul 2018 21:37:49 +0530

=== debian/control ===
Source: npm
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>,
 Pirate Praveen <praveen@debian.org>
Build-Depends: 
 debhelper (>= 9~),
 dh-buildinfo,
 bash-completion,
 nodejs,
 node-ansi-color-table,
 node-ansi-regex,
 node-ansistyles,
 node-aproba,
 node-archy,
 node-are-we-there-yet,
 node-aws-sign2,
 node-bluebird,
 node-caseless,
 node-chalk,
 node-config-chain,
 node-detect-indent,
 node-editor,
 node-encoding,
 node-fs-vacuum,
 node-gauge,
 node-glob,
 node-graceful-fs,
 node-gyp,
 node-har-validator,
 node-has-unicode,
 node-hawk,
 node-hosted-git-info,
 node-iferr,
 node-import-lazy,
 node-imurmurhash,
 node-inflight,
 node-inherits,
 node-ini,
 node-isstream,
 node-is-npm,
 node-is-typedarray,
 node-jsonstream,
 node-json-stringify-safe,
 node-lazy-property,
 node-latest-version,
 node-lockfile,
 node-lru-cache,
 node-marked,
 node-marked-man,
 node-mime-types,
 node-mkdirp,
 node-move-concurrently,
 node-nopt,
 node-normalize-package-data,
 node-npmlog,
 node-once,
 node-opener,
 node-osenv,
 node-path-is-inside,
 node-performance-now,
 node-promise-inflight,
 node-qw,
 node-read-package-json,
 node-readable-stream,
 node-request,
 node-retry,
 node-rimraf,
 node-safe-buffer,
 node-semver,
 node-semver-diff,
 node-set-blocking,
 node-slide,
 node-sorted-object,
 node-stringstream,
 node-strip-ansi,
 node-tacks,
 node-tap,
 node-require-inject,
 node-tar (>= 4~),
 node-tough-cookie,
 node-uid-number,
 node-unique-filename,
 node-unpipe,
 node-validate-npm-package-license,
 node-which,
 node-wrappy,
 node-yargs
Standards-Version: 4.1.0
Homepage: https://github.com/npm/npm
Vcs-Git: https://salsa.debian.org/js-team/npm.git
Vcs-Browser: https://salsa.debian.org/js-team/npm

Package: npm
Architecture: all
Depends: nodejs,
 ${misc:Depends},
 node-abbrev (>= 1.0.4),
 node-ansi (>= 0.3.0-2),
 node-ansi-color-table,
 node-ansi-regex,
 node-ansistyles,
 node-aproba,
 node-aproba,
 node-archy,
 node-are-we-there-yet,
 node-aws-sign2,
 node-bluebird,
 node-block-stream,
 node-caseless,
 node-chalk,
 node-config-chain,
 node-detect-indent,
 node-editor,
 node-encoding,
 node-fs-vacuum,
 node-fstream (>= 0.1.22),
 node-fstream-ignore,
 node-gauge,
 node-github-url-from-git,
 node-glob (>= 3.1.21),
 node-graceful-fs (>= 2.0.0),
 node-gyp (>= 0.10.9),
 node-har-validator,
 node-has-unicode,
 node-hawk,
 node-hosted-git-info,
 node-iferr,
 node-import-lazy,
 node-inflight,
 node-inherits,
 node-ini (>= 1.1.0),
 node-isstream,
 node-is-npm,
 node-is-typedarray,
 node-jsonstream,
 node-latest-version,
 node-lazy-property,
 node-lockfile,
 node-lru-cache (>= 2.3.0),
 node-minimatch (>= 0.2.11),
 node-mkdirp (>= 0.3.3),
 node-move-concurrently,
 node-nopt,
 node-normalize-package-data,
 node-npmlog (>= 4.1.0),
 node-once,
 node-opener,
 node-osenv,
 node-path-is-inside,
 node-performance-now,
 node-promise-inflight,
 node-read,
 node-read-package-json (>= 1.1.0),
 node-readable-stream,
 node-request (>= 2.25.0),
 node-retry,
 node-rimraf (>= 2.6.2),
 node-safe-buffer,
 node-semver (>= 5.1.0),
 node-semver-diff,
 node-set-blocking,
 node-sha,
 node-slide,
 node-sorted-object,
 node-stringstream,
 node-strip-ansi,
 node-tar (>= 4~),
 node-tough-cookie,
 node-uid-number,
 node-underscore,
 node-unique-filename,
 node-unpipe,
 node-validate-npm-package-license,
 node-which,
 node-wrappy,
 node-yargs,
Description: package manager for Node.js
 Node.js is an event-based server-side javascript engine.
 .
 npm is the package manager for the Node JavaScript platform.  It puts
 modules in place so that node can find them, and manages dependency
 conflicts intelligently.
 .
 It is extremely configurable to support a wide variety of use cases.
 Most commonly, it is used to publish, discover, install, and develop
 node programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export HOME=/tmp

%:
	dh $@ --with bash-completion

override_dh_auto_build:
	make doc

override_dh_auto_clean:
	-make clean
	rm -f test/fixtures/config/userconfig-with-gc

override_dh_clean:
	dh_clean

override_dh_fixperms:
	dh_fixperms
	chmod a-x debian/npm/usr/share/npm/lib/utils/completion.sh
	chmod a-x debian/npm/usr/share/npm/node_modules/uid-number/get-uid-gid.js
	chmod a+x debian/npm/usr/share/npm/bin/npm-cli.js

override_dh_auto_install:
	# NO OP

override_dh_install:
	dh_install
	find debian/npm -iname LICENSE -delete
	find debian/npm -iname LICENCE -delete
	find debian/npm -iname LICENSE.txt -delete
	find debian/npm -iname LICENSE.md -delete

override_dh_auto_test:
	cp debian/npmrc npmrc
	# the tests need npm-registry-mock module to run
	# and some of them fail by design
	#tap --timeout 240 "test/tap/*.js"

=== debian/tests/control ===
Test-Command: set -e
 ; cd "$AUTOPKGTEST_TMP"
 ;  /usr/bin/npm list
Depends: @

=== debian/watch ===
version=3
opts=\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/npm-$1.tar.gz/,\
dversionmangle=s/\+ds$//,\
repacksuffix=+ds \
https://github.com/isaacs/npm/tags .*/archive/v?([\d\.]+).tar.gz

## npm 5.8.0+ds3

=== debian/changelog ===
npm (5.8.0+ds3-1) unstable; urgency=medium

  * Use node-resolve-from from system
  * Add node-gyp as dependency for npm-lifecycle

 -- Pirate Praveen <praveen@debian.org>  Fri, 14 Sep 2018 15:27:07 +0530

npm (5.8.0+ds2-1) unstable; urgency=medium

  * Tighten all dependencies
  * Bring back embedded ansicolors (removed by mistake)

 -- Pirate Praveen <praveen@debian.org>  Fri, 14 Sep 2018 14:46:30 +0530

npm (5.8.0+ds1-1) unstable; urgency=medium

  * Remove readable-stream from dependencies as well
  * Exclude more packaged modules

 -- Pirate Praveen <praveen@debian.org>  Thu, 13 Sep 2018 10:48:46 +0530

npm (5.8.0+ds-3) unstable; urgency=medium

  * Remove dependency on node-readable-stream (not required)
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Bump debhelper compatibility level to 11

 -- Pirate Praveen <praveen@debian.org>  Wed, 12 Sep 2018 23:15:33 +0530

=== debian/control ===
Source: npm
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>,
 Pirate Praveen <praveen@debian.org>
Build-Depends: 
 debhelper (>= 11~),
 bash-completion,
 nodejs,
 node-tacks,
 node-tap,
 node-require-inject,
 node-abbrev (>= 1.0.4),
 node-ansi-regex (>= 3.0~),
# ansicolors is in node_modules
 node-ansistyles,
 node-aproba (>= 1.2~),
 node-archy (>= 1.0~),
 node-bluebird (>= 3.5.1~),
 node-call-limit (>= 1.1~),
 node-config-chain (>= 1.1.11~),
 node-detect-indent (>= 5.0~),
 node-detect-newline (>= 2.1~),
 node-editor (>= 1.0~),
 node-fs-vacuum (>= 1.2.10~),
 node-fs-write-stream-atomic (>= 1.0.10~),
 node-glob,
 node-graceful-fs (>= 4.1.11~),
 node-has-unicode (>= 2.0.1~),
 node-hosted-git-info,
 node-iferr,
 node-inflight (>= 1.0.6~),
 node-inherits (>= 2.0.3~),
 node-ini,
# init-package-json, is-cidr in node_modules
 node-jsonstream,
 node-json-parse-better-errors (>= 1.0.1~),
 node-lazy-property (>= 1.0~),
# libcipm, libnpx in node_modules
# for libnpx
 node-marked-man,
#
 node-lockfile,
 node-lru-cache,
# meant in node_modules
 node-mississippi,
 node-mkdirp (>= 0.5.1~),
 node-move-concurrently (>= 1.0.1~),
 node-nopt,
 node-normalize-package-data,
# npm-cache-filename, npm-install-checks, npm-lifecycle, npm-packlist,
# npm-profile, npm-registry-client, npm-user-validate in node_modules
# for npm-lifecycle
 node-gyp (>= 3.6.2~),
 node-resolve-from (>= 4.0~),
#
 node-npmlog (>= 4.1.2~),
 node-once (>= 1.4~),
 node-opener (>= 1.4.3~),
 node-osenv,
 node-path-is-inside (>= 1.0.2~),
 node-promise-inflight (>= 1.0.1~),
# for qrcode-terminal
 node-ansi,
#
# query-string in node_modules
 node-qw (>= 1.0.1~),
 node-read (>= 1.0.7~),
# read-cmd-shim and read-installed in node_modules
 node-read-package-json,
# read-package-tree in node_modules
 node-request,
 node-retry (>= 0.10.1~),
 node-rimraf (>= 2.6.2~),
 node-safe-buffer (>= 5.1.1~),
 node-semver,
 node-sha,
 node-slide (>= 1.1.6~),
 node-sorted-object (>= 2.0.1~),
# for sorted-union-stream
 node-from2,
 node-stream-iterate,
#
 node-ssri (>= 5.2.4~),
 node-strip-ansi (>= 4.0~),
 node-tar (>= 4.4~),
 node-text-table (>= 0.2~),
 node-uid-number (>= 0.0.6~),
# umask in node_modules
 node-unique-filename (>= 1.1~),
 node-unpipe (>= 1.0~),
# for update notifier
 node-boxen (>= 1.2.1~),
 node-import-lazy,
 node-is-npm (>= 1.0~),
 node-latest-version (>= 3.0~),
 node-semver-diff (>= 2.0~),
 node-xdg-basedir (>= 3.0~),
#
 node-validate-npm-package-name (>= 3.0~),
 node-which (>= 1.3~),
 node-wrappy (>= 1.0.2~),
 node-write-file-atomic (>= 2.3~),
# for libnpx and cacache
 node-yargs
Standards-Version: 4.2.1
Homepage: https://github.com/npm/npm
Vcs-Git: https://salsa.debian.org/js-team/npm.git
Vcs-Browser: https://salsa.debian.org/js-team/npm

Package: npm
Architecture: all
Depends: nodejs,
 ${misc:Depends},
 node-abbrev (>= 1.0.4),
 node-ansi-regex (>= 3.0~),
# ansicolors is in node_modules
 node-ansistyles,
 node-aproba (>= 1.2~),
 node-archy (>= 1.0~),
 node-bluebird (>= 3.5.1~),
 node-call-limit (>= 1.1~),
 node-config-chain (>= 1.1.11~),
 node-detect-indent (>= 5.0~),
 node-detect-newline (>= 2.1~),
 node-editor (>= 1.0~),
 node-fs-vacuum (>= 1.2.10~),
 node-fs-write-stream-atomic (>= 1.0.10~),
 node-glob (>= 3.1.21),
 node-graceful-fs (>= 4.1.11~),
 node-has-unicode (>= 2.0.1~),
 node-hosted-git-info,
 node-iferr,
 node-inflight (>= 1.0.6~),
 node-inherits (>= 2.0.3~),
 node-ini (>= 1.1.0),
# init-package-json, is-cidr in node_modules
 node-jsonstream,
 node-json-parse-better-errors (>= 1.0.1~),
 node-lazy-property (>= 1.0~),
# libcipm, libnpx in node_modules
# for libnpx
 node-marked-man,
#
 node-lockfile,
 node-lru-cache (>= 2.3.0),
# meant in node_modules
 node-mississippi,
 node-minimatch (>= 0.2.11),
 node-mkdirp (>= 0.3.3),
 node-move-concurrently (>= 1.0.1~),
 node-nopt,
 node-normalize-package-data,
# npm-cache-filename, npm-install-checks, npm-lifecycle, npm-packlist,
# npm-profile, npm-registry-client, npm-user-validate in node_modules
# for npm-lifecycle
 node-gyp (>= 3.6.2~),
 node-resolve-from (>= 4.0~),
#
 node-npmlog (>= 4.1.2~),
 node-once (>= 1.4~),
 node-opener (>= 1.4.3~),
 node-osenv,
 node-path-is-inside (>= 1.0.2~),
 node-promise-inflight (>= 1.0.1~),
# for qrcode-terminal
 node-ansi,
#
# query-string in node_modules
 node-qw (>= 1.0.1~),
 node-read (>= 1.0.7~),
# read-cmd-shim and read-installed in node_modules
 node-read-package-json (>= 1.1.0),
# read-package-tree in node_modules
 node-request (>= 2.25.0),
 node-retry (>= 0.10.1~),
 node-rimraf (>= 2.6.2~),
 node-safe-buffer (>= 5.1.1~),
 node-semver (>= 5.1.0),
 node-sha,
 node-slide (>= 1.1.6~),
 node-sorted-object (>= 2.0.1~),
# for sorted-union-stream
 node-from2,
 node-stream-iterate,
#
 node-ssri (>= 5.2.4~),
 node-strip-ansi (>= 4.0~),
 node-tar (>= 4.4~),
 node-text-table (>= 0.2~),
 node-uid-number (>= 0.0.6~),
# umask in node_modules
 node-unique-filename (>= 1.1~),
 node-unpipe (>= 1.0~),
# for update notifier
 node-boxen (>= 1.2.1~),
 node-import-lazy,
 node-is-npm (>= 1.0~),
 node-latest-version (>= 3.0~),
 node-semver-diff (>= 2.0~),
 node-xdg-basedir (>= 3.0~),
#
 node-validate-npm-package-name (>= 3.0~),
 node-which (>= 1.3~),
 node-wrappy (>= 1.0.2~),
 node-write-file-atomic (>= 2.3~),
# for libnpx and cacache
 node-yargs
Description: package manager for Node.js
 Node.js is an event-based server-side javascript engine.
 .
 npm is the package manager for the Node JavaScript platform.  It puts
 modules in place so that node can find them, and manages dependency
 conflicts intelligently.
 .
 It is extremely configurable to support a wide variety of use cases.
 Most commonly, it is used to publish, discover, install, and develop
 node programs.

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,9 @@
 	find debian/npm -iname LICENCE -delete
 	find debian/npm -iname LICENSE.txt -delete
 	find debian/npm -iname LICENSE.md -delete
+	find debian/npm/usr/share/npm/node_modules -name .npmignore -delete
+	find debian/npm/usr/share/npm/node_modules -name .eslintrc.json -delete
+	find debian/npm/usr/share/npm/node_modules -name .eslintrc -delete
 
 override_dh_auto_test:
 	cp debian/npmrc npmrc

## npm 5.8.0+ds4

=== debian/changelog ===
npm (5.8.0+ds4-1) unstable; urgency=medium

  * Add init and install commands to autopkgtest
  * Add a nodoc build profile (for faster builds)
  * Tighten more dependency versions
  * Use npm-package-arg and node-promzard from system
  * Remove node_modules/.bin directory (Closes: #908985)
  * Stop renaming of node command to nodejs (nodejs >= 6 provides it)
  * Install npx command and fix its permission

 -- Pirate Praveen <praveen@debian.org>  Mon, 17 Sep 2018 18:38:54 +0530

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends: 
  debhelper (>= 11~),
  bash-completion,
- nodejs,
+ nodejs (>= 6.11~),
  node-tacks,
  node-tap,
  node-require-inject,
  node-abbrev (>= 1.0.4),
  node-ansi-regex (>= 3.0~),
 # ansicolors is in node_modules
- node-ansistyles,
+ node-ansistyles (>= 0.1.3~),
  node-aproba (>= 1.2~),
  node-archy (>= 1.0~),
  node-bluebird (>= 3.5.1~),
@@ -28,32 +28,37 @@
  node-glob,
  node-graceful-fs (>= 4.1.11~),
  node-has-unicode (>= 2.0.1~),
- node-hosted-git-info,
- node-iferr,
+ node-hosted-git-info (>= 2.6~),
+ node-iferr (>= 0.1.5~),
  node-inflight (>= 1.0.6~),
  node-inherits (>= 2.0.3~),
- node-ini,
+ node-ini (>= 1.3.5~),
 # init-package-json, is-cidr in node_modules
- node-jsonstream,
+# for init-package-json
+ node-npm-package-arg,
+ node-promzard,
+#
+ node-jsonstream (>= 1.3.2~),
  node-json-parse-better-errors (>= 1.0.1~),
  node-lazy-property (>= 1.0~),
 # libcipm, libnpx in node_modules
 # for libnpx
  node-marked-man,
 #
- node-lockfile,
- node-lru-cache,
+ node-lockfile (>= 1.0.3~),
+ node-lru-cache (>= 4.1.1~),
 # meant in node_modules
- node-mississippi,
+ node-mississippi (>= 3.0~),
  node-mkdirp (>= 0.5.1~),
  node-move-concurrently (>= 1.0.1~),
  node-nopt,
- node-normalize-package-data,
+ node-normalize-package-data (>= 2.4~),
 # npm-cache-filename, npm-install-checks, npm-lifecycle, npm-packlist,
 # npm-profile, npm-registry-client, npm-user-validate in node_modules
 # for npm-lifecycle
  node-gyp (>= 3.6.2~),
  node-resolve-from (>= 4.0~),
+ node-encoding,
 #
  node-npmlog (>= 4.1.2~),
  node-once (>= 1.4~),
@@ -74,8 +79,8 @@
  node-retry (>= 0.10.1~),
  node-rimraf (>= 2.6.2~),
  node-safe-buffer (>= 5.1.1~),
- node-semver,
- node-sha,
+ node-semver (>= 5.5~),
+ node-sha (>= 2.0.1~),
  node-slide (>= 1.1.6~),
  node-sorted-object (>= 2.0.1~),
 # for sorted-union-stream
@@ -111,12 +116,13 @@
 
 Package: npm
 Architecture: all
-Depends: nodejs,
+Depends: nodejs (>= 6.11~),
  ${misc:Depends},
+ ca-certificates,
  node-abbrev (>= 1.0.4),
  node-ansi-regex (>= 3.0~),
 # ansicolors is in node_modules
- node-ansistyles,
+ node-ansistyles (>= 0.1.3~),
  node-aproba (>= 1.2~),
  node-archy (>= 1.0~),
  node-bluebird (>= 3.5.1~),
@@ -130,33 +136,38 @@
  node-glob (>= 3.1.21),
  node-graceful-fs (>= 4.1.11~),
  node-has-unicode (>= 2.0.1~),
- node-hosted-git-info,
- node-iferr,
+ node-hosted-git-info (>= 2.6~),
+ node-iferr (>= 0.1.5~),
  node-inflight (>= 1.0.6~),
  node-inherits (>= 2.0.3~),
- node-ini (>= 1.1.0),
+ node-ini (>= 1.3.5~),
 # init-package-json, is-cidr in node_modules
- node-jsonstream,
+# for init-package-json
+ node-npm-package-arg,
+ node-promzard,
+#
+ node-jsonstream (>= 1.3.2~),
  node-json-parse-better-errors (>= 1.0.1~),
  node-lazy-property (>= 1.0~),
 # libcipm, libnpx in node_modules
 # for libnpx
  node-marked-man,
 #
- node-lockfile,
- node-lru-cache (>= 2.3.0),
+ node-lockfile (>= 1.0.3~),
+ node-lru-cache (>= 4.1.1~),
 # meant in node_modules
- node-mississippi,
+ node-mississippi (>= 3.0~),
  node-minimatch (>= 0.2.11),
  node-mkdirp (>= 0.3.3),
  node-move-concurrently (>= 1.0.1~),
  node-nopt,
- node-normalize-package-data,
+ node-normalize-package-data (>= 2.4~),
 # npm-cache-filename, npm-install-checks, npm-lifecycle, npm-packlist,
 # npm-profile, npm-registry-client, npm-user-validate in node_modules
 # for npm-lifecycle
  node-gyp (>= 3.6.2~),
  node-resolve-from (>= 4.0~),
+ node-encoding,
 #
  node-npmlog (>= 4.1.2~),
  node-once (>= 1.4~),
@@ -177,8 +188,8 @@
  node-retry (>= 0.10.1~),
  node-rimraf (>= 2.6.2~),
  node-safe-buffer (>= 5.1.1~),
- node-semver (>= 5.1.0),
- node-sha,
+ node-semver (>= 5.5~),
+ node-sha (>= 2.0.1~),
  node-slide (>= 1.1.6~),
  node-sorted-object (>= 2.0.1~),
 # for sorted-union-stream

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,9 @@
 	dh $@ --with bash-completion
 
 override_dh_auto_build:
+ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
 	make doc
+endif
 
 override_dh_auto_clean:
 	-make clean
@@ -24,6 +26,7 @@
 	chmod a-x debian/npm/usr/share/npm/lib/utils/completion.sh
 	chmod a-x debian/npm/usr/share/npm/node_modules/uid-number/get-uid-gid.js
 	chmod a+x debian/npm/usr/share/npm/bin/npm-cli.js
+	chmod a+x debian/npm/usr/share/npm/bin/npx-cli.js
 
 override_dh_auto_install:
 	# NO OP

=== debian/tests/control ===
Test-Command: set -e
 ; cd "$AUTOPKGTEST_TMP"
 ;  /usr/bin/npm list
 ;  /usr/bin/npm init --yes
 ;  /usr/bin/npm install --save-prod --production -q pretty-ms
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/npm-$1.tar.gz/,\
dversionmangle=s/\+ds[0-9]*$//,\
repacksuffix=+ds \
https://github.com/isaacs/npm/tags .*/archive/v?([\d\.]+).tar.gz

## npm 5.8.0+ds5

=== debian/changelog ===
npm (5.8.0+ds5-1) unstable; urgency=medium

  * Remove copyright of modules no longer present in node_modules
  * Update copyright with cme update dpkg-copyright command
  * Fix permission of embedded node-gyp.cmd
  * Use node-errno and chownr from system
  * Remove node_modules/npm-lifecycle/node_modules/.bin (Closes: #909060)
  * Remove all .bin diectories in node_modules

 -- Pirate Praveen <praveen@debian.org>  Fri, 21 Sep 2018 12:19:32 +0530

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  node-aproba (>= 1.2~),
  node-archy (>= 1.0~),
  node-bluebird (>= 3.5.1~),
+ node-chownr (>= 1.0.1~),
  node-call-limit (>= 1.1~),
  node-config-chain (>= 1.1.11~),
  node-detect-indent (>= 5.0~),
@@ -59,6 +60,7 @@
  node-gyp (>= 3.6.2~),
  node-resolve-from (>= 4.0~),
  node-encoding,
+ node-errno,
 #
  node-npmlog (>= 4.1.2~),
  node-once (>= 1.4~),
@@ -127,6 +129,7 @@
  node-archy (>= 1.0~),
  node-bluebird (>= 3.5.1~),
  node-call-limit (>= 1.1~),
+ node-chownr (>= 1.0.1~),
  node-config-chain (>= 1.1.11~),
  node-detect-indent (>= 5.0~),
  node-detect-newline (>= 2.1~),
@@ -168,6 +171,7 @@
  node-gyp (>= 3.6.2~),
  node-resolve-from (>= 4.0~),
  node-encoding,
+ node-errno,
 #
  node-npmlog (>= 4.1.2~),
  node-once (>= 1.4~),

=== debian/watch ===
version=3
opts=\
repacksuffix=+ds,\
repack,compression=xz,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/npm-$1.tar.gz/,\
dversionmangle=s/\+ds[0-9]*$//,\
 https://github.com/isaacs/npm/tags .*/archive/v?([\d\.]+).tar.gz

## npm 5.8.0+ds6

=== Makefile ===
# vim: set softtabstop=2 shiftwidth=2:
SHELL = bash

PUBLISHTAG = $(shell node scripts/publish-tag.js)
BRANCH = $(shell git rev-parse --abbrev-ref HEAD)

markdowns = $(shell find doc -name '*.md' | grep -v 'index') README.md

html_docdeps = html/dochead.html \
               html/docfoot.html \
               scripts/doc-build.sh \
               package.json

cli_mandocs = $(shell find doc/cli -name '*.md' \
               |sed 's|.md|.1|g' \
               |sed 's|doc/cli/|man/man1/|g' ) \
               man/man1/npm-README.1 \
               man/man1/npx.1

files_mandocs = $(shell find doc/files -name '*.md' \
               |sed 's|.md|.5|g' \
               |sed 's|doc/files/|man/man5/|g' ) \
               man/man5/npm-json.5 \
               man/man5/npm-global.5

misc_mandocs = $(shell find doc/misc -name '*.md' \
               |sed 's|.md|.7|g' \
               |sed 's|doc/misc/|man/man7/|g' ) \
               man/man7/npm-index.7

cli_htmldocs = $(shell find doc/cli -name '*.md' \
                |sed 's|.md|.html|g' \
                |sed 's|doc/cli/|html/doc/cli/|g' ) \
                html/doc/README.html

files_htmldocs = $(shell find doc/files -name '*.md' \
                  |sed 's|.md|.html|g' \
                  |sed 's|doc/files/|html/doc/files/|g' ) \
                  html/doc/files/npm-json.html \
                  html/doc/files/npm-global.html

misc_htmldocs = $(shell find doc/misc -name '*.md' \
                 |sed 's|.md|.html|g' \
                 |sed 's|doc/misc/|html/doc/misc/|g' ) \
                 html/doc/index.html

mandocs = $(cli_mandocs) $(files_mandocs) $(misc_mandocs)

htmldocs = $(cli_htmldocs) $(files_htmldocs) $(misc_htmldocs)

all: doc

latest:
	@echo "Installing latest published npm"
	@echo "Use 'make install' or 'make link' to install the code"
	@echo "in this folder that you're looking at right now."
	node bin/npm-cli.js install -g -f npm ${NPMOPTS}

install: all
	node bin/npm-cli.js install -g -f ${NPMOPTS} $(shell node bin/npm-cli.js pack | tail -1)

# backwards compat
dev: install

link: uninstall
	node bin/npm-cli.js link -f

clean: markedclean marked-manclean doc-clean
	rm -rf npmrc
	node bin/npm-cli.js cache clean

uninstall:
	node bin/npm-cli.js rm npm -g -f

doc: $(mandocs) $(htmldocs)

markedclean:
	rm -rf node_modules/marked node_modules/.bin/marked .building_marked

marked-manclean:
	rm -rf node_modules/marked-man node_modules/.bin/marked-man .building_marked-man

docclean: doc-clean
doc-clean:
	rm -rf \
    .building_marked \
    .building_marked-man \
    html/doc \
    man

## build-time tools for the documentation
build-doc-tools := node_modules/.bin/marked \
                   node_modules/.bin/marked-man

# use `npm install marked-man` for this to work.
man/man1/npm-README.1: README.md scripts/doc-build.sh package.json $(build-doc-tools)
	@[ -d man/man1 ] || mkdir -p man/man1
	scripts/doc-build.sh $< $@

man/man1/%.1: doc/cli/%.md scripts/doc-build.sh package.json $(build-doc-tools)
	@[ -d man/man1 ] || mkdir -p man/man1
	scripts/doc-build.sh $< $@

man/man1/npx.1: node_modules/libnpx/libnpx.1
	cat $< | sed s/libnpx/npx/ > $@

man/man5/npm-json.5: man/man5/package.json.5
	cp $< $@

man/man5/npm-global.5: man/man5/npm-folders.5
	cp $< $@

man/man5/%.5: doc/files/%.md scripts/doc-build.sh package.json $(build-doc-tools)
	@[ -d man/man5 ] || mkdir -p man/man5
	scripts/doc-build.sh $< $@

doc/misc/npm-index.md: scripts/index-build.js package.json $(build-doc-tools)
	node scripts/index-build.js > $@

html/doc/index.html: doc/misc/npm-index.md $(html_docdeps) $(build-doc-tools)
	@[ -d html/doc ] || mkdir -p html/doc
	scripts/doc-build.sh $< $@

man/man7/%.7: doc/misc/%.md scripts/doc-build.sh package.json $(build-doc-tools)
	@[ -d man/man7 ] || mkdir -p man/man7
	scripts/doc-build.sh $< $@

html/doc/README.html: README.md $(html_docdeps) $(build-doc-tools)
	@[ -d html/doc ] || mkdir -p html/doc
	scripts/doc-build.sh $< $@

html/doc/cli/%.html: doc/cli/%.md $(html_docdeps) $(build-doc-tools)
	@[ -d html/doc/cli ] || mkdir -p html/doc/cli
	scripts/doc-build.sh $< $@

html/doc/files/npm-json.html: html/doc/files/package.json.html
	cp $< $@

html/doc/files/npm-global.html: html/doc/files/npm-folders.html
	cp $< $@

html/doc/files/%.html: doc/files/%.md $(html_docdeps) $(build-doc-tools)
	@[ -d html/doc/files ] || mkdir -p html/doc/files
	scripts/doc-build.sh $< $@

html/doc/misc/%.html: doc/misc/%.md $(html_docdeps) $(build-doc-tools)
	@[ -d html/doc/misc ] || mkdir -p html/doc/misc
	scripts/doc-build.sh $< $@


marked: node_modules/.bin/marked

node_modules/.bin/marked:
	node bin/npm-cli.js install marked --no-global --no-timing --no-save

marked-man: node_modules/.bin/marked-man

node_modules/.bin/marked-man:
	node bin/npm-cli.js install marked-man --no-global --no-timing --no-save

doc: man

man: $(cli_docs)

test: doc
	node bin/npm-cli.js test

tag:
	node bin/npm-cli.js tag npm@$(PUBLISHTAG) latest

ls-ok:
	node . ls >/dev/null

gitclean:
	git clean -fd

publish: gitclean ls-ok link doc-clean doc
	@git push origin :v$(shell node bin/npm-cli.js --no-timing -v) 2>&1 || true
	git push origin $(BRANCH) &&\
	git push origin --tags &&\
	node bin/npm-cli.js publish --tag=$(PUBLISHTAG)

release: gitclean ls-ok markedclean marked-manclean doc-clean doc
	node bin/npm-cli.js prune --production --no-save
	@bash scripts/release.sh

sandwich:
	@[ $$(whoami) = "root" ] && (echo "ok"; echo "ham" > sandwich) || (echo "make it yourself" && exit 13)

.PHONY: all latest install dev link doc clean uninstall test man doc-clean docclean release ls-ok realclean

=== debian/changelog ===
npm (5.8.0+ds6-4+deb10u1) buster; urgency=medium

  * Add patches to fix arbitrary path access
    (Closes: CVE-2019-16775, CVE-2019-16776, CVE-2019-16777)

 -- Xavier Guimard <yadd@debian.org>  Sun, 15 Dec 2019 16:19:02 +0100

npm (5.8.0+ds6-4) unstable; urgency=medium

  * Team upload
  * Add upstream/metadata
  * Declare compliance with policy 4.3.0
  * Remove old broken bash_completion file using maintscript (Closes: #917217)
  * Fix debian/copyright urls

 -- Xavier Guimard <yadd@debian.org>  Wed, 13 Feb 2019 23:01:53 +0100

npm (5.8.0+ds6-3) unstable; urgency=medium

  [ Pirate Praveen ]
  * Update homepage to docs.npmjs.com (as given in package.json)
    (Closes: #910250)

  [ Jérémy Lal ]
  * Patch to fix LRUCache constructor call (Closes: #918889)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 10 Jan 2019 12:19:12 +0100

npm (5.8.0+ds6-2) unstable; urgency=medium

  * Tighten dependency versions as per package.json

 -- Pirate Praveen <praveen@debian.org>  Fri, 26 Oct 2018 12:10:25 +0530

npm (5.8.0+ds6-1) unstable; urgency=medium

  * Add set -x to autopkgtest script
  * Remove copyright notices for chownr and errno (now uses packaged versions)
  * Drop 2009_ansi-color-table.patch (ansicolors is embedded, ansistyles and
    text-table packaged) (Closes: #910921)
  * Add 'npm outdated' command to autopkgtest
  * Drop embedded copies of libnpx and cacache (they are now packaged)
  * Switch to new repo url in watch

 -- Pirate Praveen <praveen@debian.org>  Mon, 15 Oct 2018 23:11:45 +0530

=== debian/control ===
--- 
+++ 
@@ -8,25 +8,32 @@
  debhelper (>= 11~),
  bash-completion,
  nodejs (>= 6.11~),
+ node-marked-man,
  node-tacks,
  node-tap,
  node-require-inject,
- node-abbrev (>= 1.0.4),
+ node-abbrev (>= 1.1.1~),
  node-ansi-regex (>= 3.0~),
 # ansicolors is in node_modules
  node-ansistyles (>= 0.1.3~),
  node-aproba (>= 1.2~),
  node-archy (>= 1.0~),
+# bin-links is in node_modules
  node-bluebird (>= 3.5.1~),
+ node-cacache (>= 10.0.4~),
+ node-call-limit (>= 1.1~),
  node-chownr (>= 1.0.1~),
- node-call-limit (>= 1.1~),
+# cli-table2, cmd-shim, columnify is in node_modules
  node-config-chain (>= 1.1.11~),
  node-detect-indent (>= 5.0~),
  node-detect-newline (>= 2.1~),
+# dezalgo is in node_modules
  node-editor (>= 1.0~),
+# find-npm-prefix is in node_modules
  node-fs-vacuum (>= 1.2.10~),
  node-fs-write-stream-atomic (>= 1.0.10~),
- node-glob,
+# gentle-fs is in node_modules
+ node-glob (>= 7.1.2~),
  node-graceful-fs (>= 4.1.11~),
  node-has-unicode (>= 2.0.1~),
  node-hosted-git-info (>= 2.6~),
@@ -42,11 +49,10 @@
  node-jsonstream (>= 1.3.2~),
  node-json-parse-better-errors (>= 1.0.1~),
  node-lazy-property (>= 1.0~),
-# libcipm, libnpx in node_modules
-# for libnpx
- node-marked-man,
-#
+# libcipm in node_modules
+ node-libnpx (>= 10.0.1~),
  node-lockfile (>= 1.0.3~),
+# lodash.* in node_modules
  node-lru-cache (>= 4.1.1~),
 # meant in node_modules
  node-mississippi (>= 3.0~),
@@ -65,7 +71,8 @@
  node-npmlog (>= 4.1.2~),
  node-once (>= 1.4~),
  node-opener (>= 1.4.3~),
- node-osenv,
+ node-osenv (>= 0.1.5~),
+# pacote is in node_modules
  node-path-is-inside (>= 1.0.2~),
  node-promise-inflight (>= 1.0.1~),
 # for qrcode-terminal
@@ -75,9 +82,10 @@
  node-qw (>= 1.0.1~),
  node-read (>= 1.0.7~),
 # read-cmd-shim and read-installed in node_modules
- node-read-package-json,
+ node-read-package-json (>= 2.0.13~),
 # read-package-tree in node_modules
- node-request,
+# readable-stream is replaced by native nodejs stream
+ node-request (>= 2.83~),
  node-retry (>= 0.10.1~),
  node-rimraf (>= 2.6.2~),
  node-safe-buffer (>= 5.1.1~),
@@ -107,12 +115,11 @@
 #
  node-validate-npm-package-name (>= 3.0~),
  node-which (>= 1.3~),
+# worker-farm is in node_modules
  node-wrappy (>= 1.0.2~),
  node-write-file-atomic (>= 2.3~),
-# for libnpx and cacache
- node-yargs
-Standards-Version: 4.2.1
-Homepage: https://github.com/npm/npm
+Standards-Version: 4.3.0
+Homepage: https://docs.npmjs.com/
 Vcs-Git: https://salsa.debian.org/js-team/npm.git
 Vcs-Browser: https://salsa.debian.org/js-team/npm
 
@@ -121,22 +128,28 @@
 Depends: nodejs (>= 6.11~),
  ${misc:Depends},
  ca-certificates,
- node-abbrev (>= 1.0.4),
+ node-abbrev (>= 1.1.1~),
  node-ansi-regex (>= 3.0~),
 # ansicolors is in node_modules
  node-ansistyles (>= 0.1.3~),
  node-aproba (>= 1.2~),
  node-archy (>= 1.0~),
+# bin-links is in node_modules
+ node-cacache (>= 10.0.4~),
  node-bluebird (>= 3.5.1~),
  node-call-limit (>= 1.1~),
  node-chownr (>= 1.0.1~),
+# cli-table2, cmd-shim, columnify is in node_modules
  node-config-chain (>= 1.1.11~),
  node-detect-indent (>= 5.0~),
  node-detect-newline (>= 2.1~),
+# dezalgo is in node_modules
  node-editor (>= 1.0~),
+# find-npm-prefix is in node_modules
  node-fs-vacuum (>= 1.2.10~),
  node-fs-write-stream-atomic (>= 1.0.10~),
- node-glob (>= 3.1.21),
+# gentle-fs is in node_modules
+ node-glob (>= 7.1.2~),
  node-graceful-fs (>= 4.1.11~),
  node-has-unicode (>= 2.0.1~),
  node-hosted-git-info (>= 2.6~),
@@ -152,15 +165,13 @@
  node-jsonstream (>= 1.3.2~),
  node-json-parse-better-errors (>= 1.0.1~),
  node-lazy-property (>= 1.0~),
-# libcipm, libnpx in node_modules
-# for libnpx
- node-marked-man,
-#
+# libcipm in node_modules
+ node-libnpx (>= 10.0.1~),
  node-lockfile (>= 1.0.3~),
+# lodash.* in node_modules
  node-lru-cache (>= 4.1.1~),
 # meant in node_modules
  node-mississippi (>= 3.0~),
- node-minimatch (>= 0.2.11),
  node-mkdirp (>= 0.3.3),
  node-move-concurrently (>= 1.0.1~),
  node-nopt,
@@ -176,7 +187,8 @@
  node-npmlog (>= 4.1.2~),
  node-once (>= 1.4~),
  node-opener (>= 1.4.3~),
- node-osenv,
+ node-osenv (>= 0.1.5~),
+# pacote is in node_modules
  node-path-is-inside (>= 1.0.2~),
  node-promise-inflight (>= 1.0.1~),
 # for qrcode-terminal
@@ -186,9 +198,10 @@
  node-qw (>= 1.0.1~),
  node-read (>= 1.0.7~),
 # read-cmd-shim and read-installed in node_modules
- node-read-package-json (>= 1.1.0),
+ node-read-package-json (>= 2.0.13~),
 # read-package-tree in node_modules
- node-request (>= 2.25.0),
+# readable-stream is replaced by native nodejs stream
+ node-request (>= 2.83~),
  node-retry (>= 0.10.1~),
  node-rimraf (>= 2.6.2~),
  node-safe-buffer (>= 5.1.1~),
@@ -218,10 +231,9 @@
 #
  node-validate-npm-package-name (>= 3.0~),
  node-which (>= 1.3~),
+# worker-farm is in node_modules
  node-wrappy (>= 1.0.2~),
  node-write-file-atomic (>= 2.3~),
-# for libnpx and cacache
- node-yargs
 Description: package manager for Node.js
  Node.js is an event-based server-side javascript engine.
  .

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	dh_fixperms
 	chmod a-x debian/npm/usr/share/npm/lib/utils/completion.sh
 	chmod a-x debian/npm/usr/share/npm/node_modules/uid-number/get-uid-gid.js
+	chmod a-x debian/npm/usr/share/npm/node_modules/npm-lifecycle/node-gyp-bin/node-gyp.cmd
 	chmod a+x debian/npm/usr/share/npm/bin/npm-cli.js
 	chmod a+x debian/npm/usr/share/npm/bin/npx-cli.js

## npm 6.13.7+ds

=== debian/changelog ===
npm (6.13.7+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 6.13.7+ds
  * Declare compliance with policy 4.5.0
  * Add dependency to node-p-is-promise
  * Update copyright
  * Update libnpx patch (Closes: #949302)

 -- Xavier Guimard <yadd@debian.org>  Wed, 05 Feb 2020 15:03:59 +0100

npm (6.13.4+ds-2) unstable; urgency=medium

  * Team upload
  * Back to unstable after successful tests
  * Require node-npm-package-arg ≥ 6.1.1 (fixes debci)

 -- Xavier Guimard <yadd@debian.org>  Wed, 15 Jan 2020 07:25:43 +0100

npm (6.13.4+ds-1) experimental; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * Drop myself from uploaders

  [ Manas Kashyap ]
  * ip-regex module added in dependency as its packaged
  * New upstream version 6.10.3+ds
  * added node-yargs-parser and node-yargs in dependency list
  * added ajv,yallist,y18n,xtend,xdg-basedir,wrap-ansi in dependency list
  * added node-widest-line, node-wide-align, node-which-module, node-verror,
    node-uuid, node-util-deprecate, node-url-parse-lax, node-unique-string,
    node-uid-number, node-typedarray, node-tweetnacl, node-tunnel-agent,
    node-tough-cookie, node-timed-out,node-through, node-through2,
    node-term-size, node-tar-stream in the dependency list
  * typo error
  * added  node-supports-color, node-strip-json-comments, node-strip-eof,
    node-string-decoder, node-string-width, node-strict-uri-encode,
    node-stream-shift, node-stream-iterate, node-stream-each,
    node-sshpk,node-spdx-license-ids in the dependency list
  * removed node-gyp from the node_modules as its added in dependency
  * removed node-wcwidth from node_modules
  * removed node_modules of s alphabets that are in debian archive now
  * removed r alphabets node_modules which are available in debian archive
  * qs node_modules removed

  [ Xavier Guimard ]
  * Refresh patches
  * Remove 3 patches included in upstream
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * New upstream version 6.13.4+ds (Closes: #904422, #947127)
  * Remove all modules that already exists in Debian and update dependencies
    (Closes: #914510)
  * No more generate HTML doc (missing dependencies)
  * Update lintian overrides
  * Enable part of tap test during autopkgtest only (network access attempt)
  * Update debian/clean
  * Update copyright
  * Install only relevant manpages

 -- Xavier Guimard <yadd@debian.org>  Thu, 09 Jan 2020 17:51:19 +0100

=== debian/tests/control ===
Test-Command: /usr/share/pkg-js-autopkgtest/runner require
Depends: @, nodejs, pkg-js-autopkgtest
Restrictions: superficial
Features: test-name=pkg-js-autopkgtest-require

Test-Command: /usr/share/pkg-js-autopkgtest/runner
Depends: @, @builddeps@, pkg-js-autopkgtest, git
Restrictions: allow-stderr, skippable
Features: test-name=pkg-js-autopkgtest

Test-Command: set -ex
 ; export HOME=${AUTOPKGTEST_TMP:-${TMPDIR:-/tmp}}
 ; /usr/bin/npm outdated || true
 ; cd "$AUTOPKGTEST_TMP"
 ; /usr/bin/npm list
 ; /usr/bin/npm init --yes
 ; /usr/bin/npm install --save-prod --production -q pretty-ms
Depends: @
Restrictions: allow-stderr

## npm 6.14.2+ds

=== debian/changelog ===
npm (6.14.2+ds-2~bpo10+1) buster-backports; urgency=medium

  * Team upload
  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Tue, 31 Mar 2020 16:14:06 +0200

npm (6.14.2+ds-2) unstable; urgency=medium

  * Team upload
  * Change test port to avoid debci failures
  * Move autopkgtest command in a separate file

 -- Xavier Guimard <yadd@debian.org>  Sun, 15 Mar 2020 10:07:40 +0100

npm (6.14.2+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 6.14.2+ds

 -- Xavier Guimard <yadd@debian.org>  Wed, 11 Mar 2020 21:22:10 +0100

npm (6.14.1+ds-1) unstable; urgency=medium

  * Team upload
  * Add debian/copyright_hints
  * New upstream version 6.14.1+ds
  * Update metadata
  * Fix homepage
  * Replace Buffer() by Buffer.from() or Buffer.alloc()
  * Fix debian/watch
  * Fix link in /usr/share/nodejs

 -- Xavier Guimard <yadd@debian.org>  Tue, 03 Mar 2020 15:43:37 +0100

=== debian/tests/control ===
Test-Command: /usr/share/pkg-js-autopkgtest/runner require
Depends: @, nodejs, pkg-js-autopkgtest
Restrictions: superficial
Features: test-name=pkg-js-autopkgtest-require

Test-Command: /usr/share/pkg-js-autopkgtest/runner
Depends: @, @builddeps@, pkg-js-autopkgtest, git
Restrictions: allow-stderr, skippable
Features: test-name=pkg-js-autopkgtest

Tests: install-test
Depends: @
Restrictions: allow-stderr
